﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TimeScheduler.Model
{
  /// <summary>Schnittstelle zum Provider der die Daten ermitteln</summary>
  public interface IDomain
  {
    List<ITimeItem> GetItems(DateTime date);

    Dictionary<int, string> GetCostUnits();

    void ElementAdded(ITimeItem timeItem);
    void ElementChanged(ITimeItem timeItem);
    void ElementRemoved(ITimeItem timeItem);
  }
}
